import java.io.*;
import java.util.*;
import java.util.Map.Entry;

public class SchoolBalanceSlow {

	Scanner in;

	PrintWriter out;
	
	static void asserT(boolean e) {
		if (!e) {
			throw new Error();
		}
	}

	static void asserT(boolean e, String s) {
		if (!e) {
			throw new Error(s);
		}
	}
	
	void upd(Map<Long, List<Integer>> sumToVariants, long sum, int v) {
		if (!sumToVariants.containsKey(sum)) {
			sumToVariants.put(sum, new ArrayList<Integer>());
		}
		sumToVariants.get(sum).add(v);
	}
	
	void gen(List<Integer> values, long sum, int currPos, int currRemove, Map<Long, List<Integer>> sumToVariants) {
		if (currPos == values.size()) {
			upd(sumToVariants, sum, currRemove);
			return;
		}
		long curr = values.get(currPos);
		if (curr > 0) {
			gen(values, sum + curr, currPos + 1, currRemove, sumToVariants);
			gen(values, sum, currPos + 1, currRemove + 1, sumToVariants);
		} else {
			gen(values, sum + curr, currPos + 1, currRemove, sumToVariants);
			gen(values, sum, currPos + 1, currRemove + 1, sumToVariants);
		}
	}
	
	Map<Long, Integer> sums = new HashMap<>(); 
	
	int best = Integer.MAX_VALUE;
	
	long maxVal = -1;
	
	void gen2(List<Integer> values, long sum, int currPos, int currRemove, boolean add) {
		if (currPos == values.size()) {
			if (add) {
				if (sums.containsKey(sum)) {
					sums.put(sum, Math.min(sums.get(sum), currRemove));
				} else {
					sums.put(sum, currRemove);
				}
				maxVal = Math.max(maxVal, sum);
			} else {
				if (sums.containsKey(sum)) {
					best = Math.min(best, sums.get(sum) + currRemove);
				}
			}
			return;
		}
		long curr = values.get(currPos);
		if (!add && sum > maxVal) {
			return;
		}
		gen2(values, sum + curr, currPos + 1, currRemove, add);
		gen2(values, sum, currPos + 1, currRemove + 1, add);
	}
	
	void solve() {
		int nLeft = in.nextInt();
		int nRight = in.nextInt();
		List<Integer> left = new ArrayList<>();
		List<Integer> right = new ArrayList<>();
		
		for (int i = 0; i < nLeft; i++) {
			left.add(in.nextInt());
		}
		for (int i = 0; i < nRight; i++) {
			right.add(in.nextInt());
		}
		
		if (nLeft > nRight) {
			List<Integer> t = left;
			left = right;
			right = t;
		}
		
		gen2(left, 0, 0, 0, true);
		gen2(right, 0, 0, 0, false);
		out.println(best);
		/*
		
		while (left.size() + 1 < right.size()) {
			int x = right.get(right.size() - 1);
			left.add(-x);
			right.remove(right.size() - 1);
		}
		Map<Long, List<Integer>> leftMap = new HashMap<>();
		Map<Long, List<Integer>> rightMap = new HashMap<>();

		gen(left, 0, 0, 0, leftMap);
		gen(right, 0, 0, 0, rightMap);
		
		int min = Integer.MAX_VALUE;
		for (Entry<Long, List<Integer>> a : leftMap.entrySet()) {
			if (rightMap.containsKey(a.getKey())) {
				
				int first = getBest(a.getValue());
				int second = getBest(rightMap.get(a.getKey()));
				
				int curr = (first + second);
				min = Math.min(min, curr);
			}
		}
		out.println(min);
		*/
	}
	
	int getBest(List<Integer> values) {
		Collections.sort(values);
		return values.get(0);
	}
	
	void run() {
	    try{
     		in = new Scanner(new FileReader("balance.in"));
    		out = new PrintWriter(new FileWriter("balance.out"));
    	} catch(IOException e) {
    	    throw new Error();
    	}

		try {
			solve();
		} finally {
			out.close();
		}
	}

	public static void main(String args[]) {
		new SchoolBalanceSlow().run();
	}
}
