#include <cstdio>
#include <vector>

int main() {
  freopen("cats.in", "rt", stdin);
  freopen("cats.out", "wt", stdout);
  int n, t;
  scanf("%d %d", &n, &t);
  t *= 1000;
  std::vector<int> msg(n);
  for (int i = 0; i < n; i++) {
    int h, m, s, ms;
    scanf("%d:%d:%d.%d", &h, &m, &s, &ms);
    msg[i] = ((h * 60 + m) * 60 + s) * 1000 + ms;
  }

  for(int start = msg[0] - t; start < msg[0]; start++) {
    bool ok = true;
    int i = 0;
    for(int c = start; c <= msg.back() + t; c += t) {
      if (msg[i] < c) {
        i++;
        if (i == (int)msg.size()) break;
        if (msg[i] < c) {
          ok = false;
          break;
        }
      }
    }
    if (ok) {
      printf("It seems everything is fine\n");
      return 0;
    }
  }
  printf("Strange behavior detected\n");
  return 0;
}
