#include "testlib.h"
#include <utility>
#include <cassert>

using namespace std;

// non-negative integers

int main( int argc, char *argv[] ) {
  registerTestlibCmd(argc, argv);
  while (!ans.seekEof()) {
    if (ouf.seekEof()) 
      quit(_wa,"Output file finished too early");
    long long next_out = ouf.readLong();
    if (next_out < 0)
      quit(_pe,"A number < 0 detected");     
    long long next_ans = ans.readLong();
    if (next_out != next_ans)
      quit(_wa,"Wrong answer");     
  }

  if (!ouf.seekEof()) 
     quit(_pe,"Extra data at end of file");        

  quit(_ok, "Accepted");
  return 0;
}
