import java.io.FileReader;
import java.io.PrintWriter;
import java.util.Scanner;

/**
 * Created by Oleg Strekalovsky on 24.03.2016.
 */
public class Main {

    private Scanner in;

    public void run() {
        try (PrintWriter out = new PrintWriter("odd.out")) {
            in = new Scanner(new FileReader("odd.in"));
            solve(out);
        } catch (Exception e) {
            throw new Error(e);
        }
    }

    private void solve(PrintWriter out) {
        long n = in.nextLong();
        long m = in.nextLong();
        long beforeN = getOddCount(n - 1);
        long beforeM = getOddCount(m);
        out.println(beforeM - beforeN);
    }

    private long getOddCount(long m) {
        if (m < 1) {
            return 0;
        }
        if (m % 2 == 1) {
            return 1 + m / 2;
        } else {
            return 1 + (m - 1) / 2;
        }
    }


    public static void main(String[] args) {
        new Main().run();
    }
}
