#include <iostream>
#include <cstdio>
#include <vector>
#include <algorithm>
#include <cmath>

using namespace std;
typedef long double ld;

struct triple {
    int x,y,n;
};

bool cmp(triple a, triple b) {
    bool res=false;
    if (a.x<b.x) {res=true;}
    if ((a.x==b.x) && (a.y<b.y)) {res=true;}
    if ((a.x==b.x) && (a.y==b.y) && (a.n<b.n)) {res=true;}
    return res;
}

ld pi() {
    return 3.14159265354878;
}

int main()
{
    freopen("spiral.in", "rt", stdin);
    freopen("spiral.out", "wt", stdout);
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    int n;
    cin >> n;
    vector <triple> V;
    triple T;
    int x,y;
    vector <int> ans;
    int cur,vx1,vy1,vx2,vy2;
    ld minangle,angle;
    int minn;
    int x1,x2,y1,y2;
    for (int i=0;i<n;i++) {
        cin >> x >> y;
        T.x=x;T.y=y;T.n=i+1;
        V.push_back(T);
    }
    sort(V.begin(),V.end(),cmp);
    cur=0;vx1=V[0].x;vy1=V[0].y;vx2=vx1;vy2=vy1-1;
    for (int i=0;i<n;i++) {
        ans.push_back(V[cur].n);
        V[cur].n=0;
        minangle=pi();minn=-1;
        for (int j=0;j<n;j++) {
            if (V[j].n!=0) {
                x1=vx1-vx2;
                y1=vy1-vy2;
                x2=V[j].x-vx1;
                y2=V[j].y-vy1;
                angle=atan2(x1*y2-x2*y1,x1*x2+y1*y2);
                if ((angle<=0) && ((abs(angle)<minangle) || ((abs(angle)==minangle) &&
                 ((minn==-1) || (((V[j].x-vx1)*(V[j].x-vx1)+(V[j].y-vy1)*(V[j].y-vy1))<
                 ((V[minn].x-vx1)*(V[minn].x-vx1)+(V[minn].y-vy1)*(V[minn].y-vy1))))))) {
                    minangle=abs(angle);
                    minn=j;
                }
            }
        }
        if (minn!=-1) {
            cur=minn;
            vx2=vx1;vy2=vy1;vx1=V[cur].x;vy1=V[cur].y;
        }
    }
    cout << ans.size() << endl;
    for (int i=0;i<(int)ans.size();i++) {
        if (i!=0) {cout << ' ';}
        cout << ans[i];
    }
    cout << endl;
    return 0;
}
