import java.io.FileReader;
import java.io.PrintWriter;
import java.util.Scanner;

/**
 * Created by Oleg Strekalovsky on 24.03.2016.
 */
public class Main {

    private Scanner in;

    public void run() {
        try (PrintWriter out = new PrintWriter("squarecubes.out")) {
            in = new Scanner(new FileReader("squarecubes.in"));
            solve(out);
        } catch (Exception e) {
            throw new Error(e);
        }
    }

    private void solve(PrintWriter out) {
        long n = in.nextLong();
        for (long num = 1; num <= 1000000 && num * num * num <= n; num++) {
            long val = (int) Math.floor(Math.sqrt(num));
            if (val * val == num) {
                out.println(num * num * num);
            }
        }
    }


    public static void main(String[] args) {
        new Main().run();
    }
}
