import java.io.*;
import java.util.*;
import java.math.*;

public class Main {

    PrintWriter out;
    Scanner in;

    public static void main(String[] args) throws IOException {
      Locale.setDefault(Locale.US);
      new Main().run();
    }
    
    void run() {
//      in = new Scanner(new BufferedReader(new InputStreamReader(System.in)));
//      out = new PrintWriter(System.out);
      try {
        in = new Scanner(new BufferedReader(new FileReader("sumof4.in")));
        out = new PrintWriter("sumof4.out");
      } catch (IOException e) {
        throw new Error();
      }

      try {
        solve();
      } finally {
        out.close();
      }
    }

    void solve() {                                
      long x = in.nextLong();
      if (x < 4) {
        out.println(0);
        return;
      }
      BigInteger n = BigInteger.valueOf(x)
      , n2 = n.multiply(n)
      , n3 = n2.multiply(n)
      , sum = n3.add(n2.multiply(BigInteger.valueOf(3)));
      if (x % 2 == 1) {
        sum = sum.subtract(n.multiply(BigInteger.valueOf(9)));
      }
      sum = sum.add(BigInteger.valueOf(72)).divide(BigInteger.valueOf(144));
      out.println(sum);
    }    
	
}
