import java.io.*;
import java.util.*;

public class Main extends Thread {

	Scanner in;

	PrintWriter out;

	long a;

	static class Pair implements Comparable<Pair> {

		long rem;

		long idx;

		
		public Pair(long rem, long idx) {
			this.rem = rem;
			this.idx = idx;
		}


		@Override
		public int compareTo(Pair second) {
			if (this.rem == second.rem) {
				return Long.compare(this.idx, second.idx);
			} else {
				return Long.compare(this.rem, second.rem);
			}
		}

	}

	Map<Pair, Long> hm = new TreeMap<>();
	
	long gen3(long remSum, long idx) {
		if (idx == -1 && remSum == 0) {
			return 1;
		}
		if (idx < 0) {
			return 0;
		}
		if (remSum < 0) {
			return 0;
		}
		
		long maxx = ((1L << (idx + 1L)) * 2L);
		asserT(maxx > 0);
		
		if (maxx > 0) {
			if (remSum > maxx) {
				return 0;
			}
		}
		
		Pair test = new Pair(remSum, idx);
		if (hm.containsKey(test)) {
			return hm.get(test).longValue();
		}
		long sum2 = gen3(remSum - (1L << idx) * 2L, idx - 1);
		long sum1 = gen3(remSum - (1L << idx), idx - 1);
		long sum0 = gen3(remSum, idx - 1);
		hm.put(test, (Long)(sum2 + sum1 + sum0 + 0L));
		return sum2 + sum1 + sum0;
	}

	static void asserT(boolean e) {
		if (!e) {
			throw new Error();
		}
	}

	static void asserT(boolean e, String s) {
		if (!e) {
			throw new Error(s);
		}
	}

	void solve() {
		a = in.nextLong();
		long acop = a;
		int ar[] = new int[128];
		int size = 0;
		while (a > 0) {
			ar[size++] = (int)(a % 2L);
			a /= 2;
		}
		ar = Arrays.copyOf(ar, size);

		out.println(gen3(acop, ar.length - 1));
	}

	public void run() {
	    try {
    		in = new Scanner(new FileReader("system.in"));
	    	out = new PrintWriter(new FileWriter("system.out"));
	    } catch (IOException e) {
     	    throw new Error();
	    }

		try {
			solve();
		} finally {
			out.close();
		}
	}

	public static void main(String args[]) {
		new Main().run();
	}
}
