#include <cstdio>
#include <string>
#include <vector>

int main() {
	freopen("12digits.in", "rt", stdin);
	freopen("12digits.out", "wt", stdout);
	char buffer[101 + 1];
	scanf("%101s", buffer);
	std::string s(buffer);
	std::vector<int> nPrefixesEndingAt(s.size(), 0);
	for (int i = 100000; i <= 999999; i++) {
		char img[6];
		img[0] = '0' + i / 100000 % 10;
		img[1] = '0' + i / 10000 % 10;
		img[2] = '0' + i / 1000 % 10;
		img[3] = '0' + i / 100 % 10;
		img[4] = '0' + i / 10 % 10;
		img[5] = '0' + i / 1 % 10;
		int pos = 0;
		for (int j = 0; j < (int)s.size(); j++) {
			if (s[j] == img[pos]) {
				pos++;
				if (pos == 6) {
					nPrefixesEndingAt[j]++;
					break;
				}
			}
		}
	}
	std::vector<int> nSuffixesStartingAt(s.size(), 0);
	for (int i = 0; i <= 999999; i++) {
		char img[6];
		img[0] = '0' + i / 100000 % 10;
		img[1] = '0' + i / 10000 % 10;
		img[2] = '0' + i / 1000 % 10;
		img[3] = '0' + i / 100 % 10;
		img[4] = '0' + i / 10 % 10;
		img[5] = '0' + i / 1 % 10;
		int pos = 5;
		for (int j = (int)s.size() - 1; j >= 0; j--) {
			if (s[j] == img[pos]) {
				pos--;
				if (pos == -1) {
					nSuffixesStartingAt[j]++;
					break;
				}
			}
		}
	}
	long long sum = 0;
	int prefixSum = 0;
	for (int i = 0; i < (int)s.size(); i++) {
		sum += (long long)prefixSum * nSuffixesStartingAt[i];
		prefixSum += nPrefixesEndingAt[i];
	}
	printf("%lld", sum);
	return 0;
}
