#include <cstdio>
#include <cstring>
#include <vector>
#include <algorithm>

int main() {
  freopen("12digits.in", "rt", stdin);
  freopen("12digits.out", "wt", stdout);
  char s[102];
  gets(s);
  int n = strlen(s);  
  if (n < 12) {
    printf("0\n");
    return 0;
  }
  
  std::vector<int> pos(10, -1);
  std::vector<std::vector<int> > next(n, std::vector<int> (10));
  for (int i = n - 1; i >= 0; i--) {
    pos[s[i] - '0'] = i;
    for (int d = 0; d < 10; d++) { 
      next[i][d] = pos[d];
    }
  }

  pos.assign(10, -1);
  std::vector<std::vector<int> > prev(n, std::vector<int> (10));
  for (int i = 0; i < n; i++) {
    pos[s[i] - '0'] = i;
    for (int d = 0; d < 10; d++) { 
      prev[i][d] = pos[d];
    }
  }

  std::vector<int> leftEnd(1000000, -1);
  for (int i1 = 1; i1 < 10; i1++) {
     int p1 = next[0][i1] ;
     if (p1 < 0 || p1 + 1 == n) continue;
     for (int i2 = 0; i2 < 10; i2++) {
       int p2 = next[p1 + 1][i2] ;
       if (p2 < 0 || p2 + 1 == n) continue;
       for (int i3 = 0; i3 < 10; i3++) {
         int p3 = next[p2 + 1][i3] ;
         if (p3 < 0 || p3 + 1 == n) continue;
         for (int i4 = 0; i4 < 10; i4++) {
           int p4 = next[p3 + 1][i4] ;
           if (p4 < 0 || p4 + 1 == n) continue;
           for (int i5 = 0; i5 < 10; i5++) {
             int p5 = next[p4 + 1][i5] ;
             if (p5 < 0 || p5 + 1 == n) continue;
             for (int i6 = 0; i6 < 10; i6++) {
               int p6 = next[p5 + 1][i6] ;
               if (p6 < 0) continue;
               leftEnd[i1 * 100000 + i2 * 10000 + i3 * 1000 + i4 * 100 + i5 * 10 + i6] = p6;
             }
           }
         }
       }
     }
  }

  std::vector<int> rightBegin(1000000, -1);
  for (int i1 = 0; i1 < 10; i1++) {
     int p1 = prev[n - 1][i1];
     if (p1 - 1 < 0) continue;
     for (int i2 = 0; i2 < 10; i2++) {
       int p2 = prev[p1 - 1][i2] ;
       if (p2 - 1 < 0) continue;
       for (int i3 = 0; i3 < 10; i3++) {
         int p3 = prev[p2 - 1][i3] ;
         if (p3 - 1 < 0) continue;
         for (int i4 = 0; i4 < 10; i4++) {
           int p4 = prev[p3 - 1][i4] ;
           if (p4 - 1 < 0) continue;
           for (int i5 = 0; i5 < 10; i5++) {
             int p5 = prev[p4 - 1][i5] ;
             if (p5 - 1 < 0) continue;
             for (int i6 = 0; i6 < 10; i6++) {
               int p6 = prev[p5 - 1][i6] ;
               if (p6 < 0) continue;
               rightBegin[i6  * 100000 + i5 * 10000 + i4 * 1000 + i3 * 100 + i2 * 10 + i1] = p6;
             }
           }
         }
       }
     }
  }

  std::sort(leftEnd.begin(), leftEnd.end());
  { 
    int i = 0;
    for (; i < (int)leftEnd.size() && leftEnd[i] < 0; i++);
    if (i == (int)leftEnd.size()) {
      printf("0\n");
      return 0;
    }
    leftEnd.erase(leftEnd.begin(), leftEnd.begin() + i);
  }

  std::sort(rightBegin.begin(), rightBegin.end());
  {
    int i = 0;
    for (; i < (int)rightBegin.size() && rightBegin[i] < 0; i++);
    rightBegin.erase(rightBegin.begin(), rightBegin.begin() + i);
  }

  long long count = 0;
  int i = 0, j = 0;
  while (i < (int)leftEnd.size() && j < (int)rightBegin.size()) {
    if (rightBegin[j] > leftEnd[i]) {
      count += rightBegin.size() - j;
      i++;
    } else {
      j++;
    }
  }
  printf("%I64d\n", count);
  return 0;
}
