#include <cstdio>
#include <vector>

const int M = 1000000000;

int main() {
  freopen("pas20.in", "rt", stdin);
  freopen("pas20.out", "wt", stdout);
  int n;
  scanf("%d", &n);
  if (n <= 2) {
    printf("1");
    return 0;
  }
  std::vector<unsigned int> a(n + 1), b(n + 1);
  a[1] = a[2] = 1;
  for (int i = 3; i <= n; i++) {
    b[1] = 1;
    b[2] = i - 1;
    for (int j = 3; j < i; j++) {
      b[j] = (a[j] + a[j - 1] + a[j - 2]) % M;
    }
    b[i] = (a[i - 1] + a[i - 2] + a[i - 2]) % M;
    a.swap(b);
  }
  printf("%u", a[n]);
  return 0;
}
