import java.io.*;
import java.util.*;

public class SchoolBruteForce {

	Scanner in;

	PrintWriter out;

	int gen(char[] s, int start) {
		int cnt = 1;

		if (start < 0) {
			start = 0;
		}
		
		for (int i = start; i < s.length - 1; i++) {
			if (s[i + 1] == '0') {
				if (s[i] == '1') {
					s[i] = '0';
					s[i + 1] = '2';
					
					cnt += gen(s, i - 1);
					
					s[i] = '1';
					s[i + 1] = '0';
					
					i++;
				} else if (s[i] == '2') {
					s[i] = '1';
					s[i + 1] = '2';
					
					cnt += gen(s, i + 1);
					
					s[i] = '2';
					s[i + 1] = '0';

					i++;
				}
			}
		}
		
		return cnt;
	}
	
	static void asserT(boolean e) {
		if (!e) {
			throw new Error();
		}
	}

	static void asserT(boolean e, String s) {
		if (!e) {
			throw new Error(s);
		}
	}

	
	void solve() {
		long a = in.nextLong();
		int ar[] = new int[128];
		int size = 0;
		while (a > 0) {
			ar[size++] = (int)(a % 2L);
			a /= 2;
		}
		ar = Arrays.copyOf(ar, size);

		String str = "";

		for (int i = ar.length - 1; i >= 0; i--) {
			str += ar[i];
		}

		out.println(gen(str.toCharArray(), 0));
	}
	
	void run() {
	    try {
    		in = new Scanner(new FileReader("system.in"));
	    	out = new PrintWriter(new FileWriter("system.out"));
	    } catch (IOException e) {
     	    throw new Error();
	    }


		try {
			solve();
		} finally {
			out.close();
		}
	}

	public static void main(String args[]) {
		new SchoolBruteForce().run();
	}
}
