#include <cstdio>
#include <string>
#include <map>
#include <utility>

std::map<std::pair<long long, long long>, long long> map;

long long gen(long long n, long long p) {
  if (n == 0) {
    return 1;
  }
  if (p == 0 || n > 4 * p - 2) {
    return 0;
  }
  std::map<std::pair<long long, long long>, long long>::iterator it = map.find(std::make_pair(n, p));
  if (it != map.end()) {
    return it->second;
  }
  long long answer = 0;
  // ставим ноль
  answer += gen(n, p / 2);
  // ставим единицу
  if (p <= n) {
    answer += gen(n - p, p / 2);
      // ставим двойку
      if (p * 2 <= n) {
        answer += gen(n - p * 2, p / 2);
      }
  }
  map[std::make_pair(n, p)] = answer;
  return answer;
}

int main() {
  freopen("system.in", "rt", stdin);
  freopen("system.out", "wt", stdout);

  long long n;
  scanf("%I64d", &n);
  long long p = 1;
  while (p <= n) {
    p *= 2;
  }  
  p /= 2;  
  printf("%I64d", gen(n, p));
  return 0;
}
