#include <cstdio>
#include <vector>
#include <algorithm>

long long c(int m, int n) {
  long long answer = 1;
  for (int i = 1; i <= m - n; i++) {
    answer = answer * (m - i + 1) / i;
  }
  return answer;
}

int main() {
  freopen("typesetter.in", "rt", stdin);
  freopen("typesetter.out", "wt", stdout);

  std::vector<int> count(26);
  for(;;) {
    int ch = getchar();
    if (ch >= 'a' && ch <= 'z') {
      count[ch - 'a']++;
    } else {
      break;
    }
  }

  int length = 0;
  for (int i = 0; i < 26; i++) {
    length += count[i];
  }

  std::vector<int> ans(length + 1);
  ans[0] = 1;
  for (int i = 0; i < 26; i++) {
    if (count[i] == 0) {
      continue;
    }
    std::vector<int> ans2 = ans;
    for (int len = 0; len <= length; len++) { //  ,   
      if (ans[len] == 0) {
        continue;
      }
      for (int k = 1; k <= count[i]; k++) { //    i- ,   
        ans2[len + k] = ans2[len + k] + ans[len] * c(len + k, len);
      }
    }
    ans = ans2;    
  }

  long long sum = 0;
  for (int i = 1; i <= length; i++) {
    sum += ans[i];
  }
  printf("%I64d", sum);
  return 0;
}